
From: Jon Smirl <jonsmirl@yahoo.com>

Using 2.6.5-rc2 bitkeeper with Logitech PS/2 Internet keyboard on a Dell
PE400SC.  I needed to backout this change to make my PS/2 keyboard work
again.  It broke during the big input patch from a couple of days ago but I
just got around to debugging it.  Without this change atkbd.c gets zeros
back from the keyboard during probe and won't recognize it.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/input/serio/serio.c |    7 ++-----
 1 files changed, 2 insertions(+), 5 deletions(-)

diff -puN drivers/input/serio/serio.c~logitech-keyboard-fix drivers/input/serio/serio.c
--- 25/drivers/input/serio/serio.c~logitech-keyboard-fix	Fri May 28 14:32:52 2004
+++ 25-akpm/drivers/input/serio/serio.c	Fri May 28 14:34:01 2004
@@ -228,11 +228,8 @@ irqreturn_t serio_interrupt(struct serio
                 ret = serio->dev->interrupt(serio, data, flags, regs);
 	} else {
 		if (!flags) {
-			if ((serio->type != SERIO_8042 &&
-			     serio->type != SERIO_8042_XL) || (data == 0xaa)) {
-				serio_queue_event(serio, SERIO_RESCAN);
-				ret = IRQ_HANDLED;
-			}
+			serio_queue_event(serio, SERIO_RESCAN);
+			ret = IRQ_HANDLED;
 		}
 	}
 	
_
